package cn.newfeifan.mall.module.distri.service.duser;

import cn.newfeifan.mall.module.distri.controller.admin.duser.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.duser.DuserDO;

/**
 * 推荐用户 Service 接口
 *
 * @author 非繁人
 */
public interface DuserService {

    void hasUserAndCreat(Long userId);

    DuserInfoVO getDuserInfo(Long userId);

    /**
     * 修改用户身价
     * @param userId 用户编号
     * @param social 身价值
     * @param socialStatus 身价状态
     */
    void updateDuserSocial(Long userId, Long social, Integer socialStatus);

    DuserDO getDuserByUser(Long userId);
}